package speiger.src.coreengine.rendering.models.buffers;

import speiger.src.coreengine.rendering.utils.values.BufferState;
import speiger.src.coreengine.rendering.utils.values.GLBuffer;

public class UniformBuffer extends VertexBuffer {
	public UniformBuffer() {
		this(false);
	}
	
	public UniformBuffer(boolean dynamic) {
		super(GLBuffer.UNIFORM_BUFFER);
		withState(dynamic ? BufferState.DYNAMIC_DRAW : BufferState.STATIC_DRAW);
	}
	
}
